#ifndef _INC_FISLIB
#define _INC_FISLIB

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************************
 *	Define
 ****************************************************************************/

#define FISLIB_MAX_SAVE			20
#define FISLIB_MAX_LOAD			20
#define FISLIB_MAX_START		10

#define FISLIB_NUM_PROC			128
#define FISLIB_NUM_FANUC		64
#define FISLIB_NUM_USER			64

#define FISLIB_PROC_FANUC		0
#define FISLIB_PROC_NCBOOTis	(FISLIB_PROC_FANUC+0)
#define FISLIB_PROC_CNCScrn		(FISLIB_PROC_FANUC+1)
#define FISLIB_PROC_USER		64
#define FISLIB_PROC_MAX			127

/****************************************************************************
 *	Initialization and termination function
 ****************************************************************************/

BOOL WINAPI FISLIB_Init();
BOOL WINAPI FISLIB_Deinit();
BOOL WINAPI FISLIB_Backup();
BOOL WINAPI FISLIB_BackupLog();
BOOL WINAPI FISLIB_SetBattery( DWORD sb );
DWORD WINAPI FISLIB_CheckBattery( );

/****************************************************************************
 *	Function
 ****************************************************************************/

int WINAPI FISLIB_Add_Save( LPTSTR fn, int nm, DWORD sz );
int WINAPI FISLIB_Add_Load( LPTSTR fn, int nm, DWORD sz );
int WINAPI FISLIB_Add_Start( LPTSTR fn, int nm );

BOOL WINAPI FISLIB_Del_Save( LPTSTR fn );
BOOL WINAPI FISLIB_Del_Load( LPTSTR fn );
BOOL WINAPI FISLIB_Del_Start( LPTSTR fn );

BOOL WINAPI FISLIB_Get_Save( LPTSTR fn, int nm, DWORD *sz );
BOOL WINAPI FISLIB_Get_Load( LPTSTR fn, int nm, DWORD *sz );
BOOL WINAPI FISLIB_Get_Start( LPTSTR fn, int nm );

int WINAPI FISLIB_Check_Save( LPTSTR fn );
int WINAPI FISLIB_Check_Load( LPTSTR fn );
int WINAPI FISLIB_Check_Start( LPTSTR fn );

BOOL WINAPI FISLIB_Log_Save( LPTSTR fn, int log );
BOOL WINAPI FISLIB_Log_Load( LPTSTR fn, int log );
BOOL WINAPI FISLIB_Log_Start( LPTSTR fn, int log );

BOOL WINAPI FISLIB_Add_Proc( HWND hw, int nm );
BOOL WINAPI FISLIB_Del_Proc( int nm );
HWND WINAPI FISLIB_Get_Proc( int nm );

short WINAPI fis_typedef( LPTSTR sp, LPTSTR dp, short pck );
short WINAPI fis_create( LPTSTR sp, LPVOID * lps );
short WINAPI fis_set( LPTSTR cm, LPVOID ps, LPVOID pv );
short WINAPI fis_get( LPTSTR cm, LPVOID ps, LPVOID pv );
short WINAPI fis_release( LPVOID sp );

/***************************************************************************/

#ifdef __cplusplus
}
#endif

#endif  /* _INC_FISLIB */
